Subject: bug#14986: Latest Emacs trunk crashes when changing Ispell dictionary

From: Eli Zaretskii <[email-masked]>
Date: Wed, 31 Jul 2013 07:05:52 +0300

> Date: Wed, 31 Jul 2013 00:00:20 +0200
> From: Paul Eggert <[email-masked]>
> CC: Sebastien Vauban <[email-masked]>, 
>  [email-masked]
> 
> On 07/30/2013 10:01 PM, Eli Zaretskii wrote:
> > Why is this trickery needed for platforms that use mktemp?
> I don't know; I think it may predate emacs_close,
> but no matter, I checked in what I assume is a fix
> in trunk bzr 113605, and am boldly closing the bug;
> please feel free to reopen it if the fix doesn't work.

Thanks.

> Second, any chance of getting mkostemp or at least mkstemp
> working on Microsoft platforms?  Surely mktemp is inherently
> prone to races.

We could write an emulation of mkostemp, but it will probably suffer
from the same race conditions.  I will take a look.